# Disable debuginfo packages to enable build
# Will be re-enabled when I've tracked down
# the source of the debugedit shrank by one error
%define debug_package %{nil}
#%undefine _hardened_build

Name:		BEDTools
Version:	2.26.0
Release:	1%{?dist}
Summary:	A flexible suite of utilities for comparing genomic features

Group:		Applications/Engineering
License:	GPLv2+
URL:		https://github.com/arq5x/bedtools

Source0:	https://github.com/arq5x/bedtools2/releases/download/v%{version}/bedtools-%{version}.tar.gz
#Source1:	http://bedtools.googlecode.com/files/%{name}-User-Manual.v4.pdf
#Fix debuginfo canonicalization error
#Patch disabled for now
#Patch0:		bedtools-debugedit.patch
#Patch1:		bedtools-gzstream-path.patch
#Temporary patches from upstream to fix compilation problem
#Patch3:		107f803ec758427839c674be2af13742f0e2404f.patch
#Patch4:		b47dbefcb57f8e6c4fe397f64346338620740b71.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#ExcludeArch:	%{arm}
#Disable i686 until upstream fixes GCC 5.1 compilation
#ExcludeArch:	%{ix86}

BuildRequires:	  zlib-devel
BuildRequires:	  python
BuildRequires:	  python-sphinx

%description

The BEDTools utilities allow one to address common genomics tasks such
as finding feature overlaps and computing coverage. The utilities are
largely based on four widely-used file formats: BED, GFF/GTF, VCF, and
SAM/BAM. Using BEDTools, one can develop sophisticated pipelines that
answer complicated research questions by "streaming" several BEDTools
together. 

#%package  docs
#Summary:  Manual for BEDTools
#Group:	  Documentation
#License:  GPLv2

#%description docs

#PDF manual for the BEDTools utilities.


%prep
%setup -q -n bedtools2
#%patch0 -p1 -b .BEDTools.debugedit
#%patch1 -p1 -b .BEDTools.gzstream
#%patch3 -p1 -b .BEDTools.types2
#%patch4 -p1 -b .BEDTools.types3

# remove bundled curl library
rm -rf src/utils/curl

# add manual
#cp -p %{SOURCE1} .

%build
# gzstream includes a local header file
make %{?_smp_mflags} CXXFLAGS="-I. %{optflags}" V=1
#make %{?_smp_mflags} CXXFLAGS="%{optflags}"

cd docs
make clean html

cd ..


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
install -m 0755 bin/* %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/%{name}

cp -a genomes/ %{buildroot}%{_datadir}/%{name}
cp -a data/ %{buildroot}%{_datadir}/%{name}
# fix permissions
find %{buildroot}%{_datadir}/%{name} -type f -exec chmod 0644 {} \;


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.md RELEASE_HISTORY LICENSE docs/
%dir %{_datadir}/%{name}
%{_bindir}/*

%{_datadir}/%{name}/genomes
%{_datadir}/%{name}/data

#%files docs
#%defattr(-,root,root,-)
#%doc %{name}-User-Manual.v4.pdf

%changelog
* Sat Jul 09 2016 Adam Huffman <bloch@verdurin.com> - 2.26.0-1
- Update to latest upstream release 2.26.0

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 05 2015 Adam Huffman <bloch@verdurin.com> - 2.25.0-1
- Update to latest upstream release 2.25.0
- Disable upstreamed patches
- Disable double path separator patch for now

* Sun Aug 23 2015 Adam Huffman <bloch@verdurin.com> - 2.24.0-6
- Fix binary directory path

* Sat Jul 18 2015 Adam Huffman <bloch@verdurin.com> - 2.24.0-5
- Re-enable 32-bit and ARM builds

* Fri Jul 17 2015 Adam Huffman <bloch@verdurin.com> - 2.24.0-4
- Add temporary patches to fix 32-bit compilation derived from upstream commits

* Sun Jul 12 2015 Adam Huffman <bloch@verdurin.com> - 2.24.0-3
- Disable i686 build until upstream fixes arrive

* Fri Jul  3 2015 Peter Robinson <pbrobinson@fedoraproject.org> 2.24.0-2
- Disable hardened build
- Exclude ARMv7 for the moment (tracked rhbz 1239119)

* Wed Jul 01 2015 Adam Huffman <bloch@verdurin.com> - 2.24.0-1
- Disable debuginfo for now to re-enable build
- Disable debuginfo-related patches for now

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.23.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 06 2015 Adam Huffman <bloch@verdurin.com> - 2.23.0-2
- Simplify list of included binaries

* Mon Mar 09 2015 Adam Huffman <bloch@verdurin.com> - 2.23.0-1
- Update to upstream 2.23.0

* Sat Dec 27 2014 Adam Huffman <bloch@verdurin.com> - 2.22.0-1
- Update to upstream 2.22.0

* Mon Aug 25 2014 Adam Huffman <bloch@verdurin.com> - 2.20.1-4
- Update debugedit patch
- Reinstate gzstream patch

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 14 2014 Adam Huffman <bloch@verdurin.com> - 2.20.1-2
- More path changes to fix debuginfo build

* Sat Jun 07 2014 Adam Huffman <bloch@verdurin.com> - 2.20.1-1
- Update to upstream 2.20.1
- Build integrated docs and remove obsolete PDF manual in -docs subpackage

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Adam Huffman <bloch@verdurin.com> - 2.19.1-2
- Fix for debugedit canonicalization error
- Don't include jaccard, reldist and sample

* Wed Apr 16 2014 Adam Huffman <bloch@verdurin.com> - 2.19.1-1
- Update to upstream 2.19.1 release

* Sun Mar 02 2014 Adam Huffman <bloch@verdurin.com> - 2.19.0-1
- Update to upstream 2.19.0 release
- Upstream now hosted at Github, not Google Code
- Add three new tools

* Tue Aug 06 2013 Adam Huffman <bloch@verdurin.com> - 2.17.0-1
- Update to upstream 2.17.0 release
- Fix changed tarball directory name
- Add four new tools

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.0-3
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jan  4 2012 Adam Huffman <verdurin@fedoraproject.org> - 2.15.0-1
- update to new upstream release 2.15.0
- new unified command line interface 'bedtools'
- add python BR for new Makefile target to generate legacy commands
- remove 'overlap'
- add 'bedpeToBam', 'clusterBed', 'getOverlap', 'groupBy'
- add 'multiIntersectBed', 'windowMaker'

* Fri Oct 28 2011 Adam Huffman <bloch@verdurin.com> - 2.13.4-1
- new upstream minor bugfix release, see http://code.google.com/p/bedtools/

* Thu Sep  8 2011 Adam Huffman <bloch@verdurin.com> - 2.13.1-1
- new upstream minor release including fixes for tagBam

* Tue Sep  6 2011 Adam Huffman <bloch@verdurin.com> - 2.13.0-1
- new upstream release 2.13.0
- new tools tagBam and nucBed

* Tue Apr 12 2011 Adam Huffman <bloch@verdurin.com> - 2.12.0-1
- new upstream release 2.12.0
- new tools cuffToTrans and flankBed

* Thu Feb 17 2011 Adam Huffman <bloch@verdurin.com> - 2.11.2-1
- new upstream release
- now README.rst
- remove groupBy command, now in filo
- new fjoin command

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 17 2010 Adam Huffman <bloch@verdurin.com> - 2.10.1-1
- new annotateBed tool
- updated manual

* Sun Sep 12 2010 Adam Huffman <bloch@verdurin.com> - 2.9.0-5
- add license for -docs 

* Wed Sep  1 2010 Adam Huffman <bloch@verdurin.com> - 2.9.0-4
- add -docs subpackage including PDF manual

* Tue Aug 31 2010 Adam Huffman <bloch@verdurin.com> - 2.9.0-3
- remove 'curl' library properly

* Tue Aug 31 2010 Adam Huffman <bloch@verdurin.com> - 2.9.0-2
- fix license and add LICENSE file
- fix permissions of data/
- remove bundled 'curl' library

* Wed Aug 25 2010 Adam Huffman <bloch@verdurin.com> - 2.9.0-1
- new upstream release
- add new unionBedGraphs tool

* Mon Aug  2 2010 Adam Huffman <bloch@verdurin.com> - 2.8.3-1
- initial version
- override upstream CFLAGS
- allow including gzstream header file
